pcl::NdCopyEigenPointFunctor< PointOutT > Struct Template Reference

Helper functor structure for copying data between an Eigen type and a PointT. More...

`#include <pcl/point_cloud.h>`

## Public Types

typedef traits::POD< PointOutT >::type | Pod

## Public Member Functions

| NdCopyEigenPointFunctor (const Eigen::VectorXf &p1, PointOutT &p2)
| Constructor. More...
template<typename Key >
void | operator() ()
| Operator. More...

## Detailed Description

### template<typename PointOutT>
struct pcl::NdCopyEigenPointFunctor< PointOutT >

Helper functor structure for copying data between an Eigen type and a PointT.

Definition at line 70 of file point_cloud.h.

## Member Typedef Documentation

template<typename PointOutT >

typedef traits::POD<PointOutT>::type pcl::NdCopyEigenPointFunctor< PointOutT >::Pod

Definition at line 72 of file point_cloud.h.

## Constructor & Destructor Documentation

template<typename PointOutT >

pcl::NdCopyEigenPointFunctor< PointOutT >::NdCopyEigenPointFunctor | ( | const Eigen::VectorXf & | p1,
|  | PointOutT & | p2
| ) |  |

inline

Constructor.

Parameters

  [in] | p1 | the input Eigen type
  [out] | p2 | the output Point type

Definition at line 78 of file point_cloud.h.

## Member Function Documentation

template<typename PointOutT >
template<typename Key >

void pcl::NdCopyEigenPointFunctor< PointOutT >::operator() | ( |  | ) |

inline

Operator.

Data copy happens here.

Definition at line 85 of file point_cloud.h.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/point_cloud.h